Subject: Re: Re* --creation-factor=100 does not show code

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Jul 2022 10:44:25 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> That algorithm section also says:
>
> 	The cost of an edge o--C is the size of C's diff, modified by a
> 	fudge factor that should be smaller than 100%.
>
> Which I find quite confusing to follow, isn't that "fudge factor" the
> <percent> (or <factor>) we're accepting with --creation-factor? Doesn't
> that also need to be adjusted?
>
> I still find this documentation quicke lacking, if the default is 60 and
> it's not 0..100 what is it then? Are values of 200 sensible in some
> cases, 1k? 10k?

I think 90% of your responses are better answered not by me.  Feel
free to edit "to:" header field when that happens next time ;-)

Thanks.